X
Tap here to go to the mobile version of the site.

Support Forum

Want to up grade but I'm told I can't as MAC is old can you help

Posted

I want to upgrade Firefox but I'm told I can't because my Mac is old, version 10.5.8, is this correct. Everything is slow and sometimes comes to a halt. Please help.

Brian Sharp sharp4words@gmail.com

I want to upgrade Firefox but I'm told I can't because my Mac is old, version 10.5.8, is this correct. Everything is slow and sometimes comes to a halt. Please help. Brian Sharp sharp4words@gmail.com

Additional System Details

Installed Plug-ins

  • Plugin that detects installed Citrix Online products (visit www.citrixonline.com).
  • Shockwave Flash 10.3 r183
  • The QuickTime Plugin allows you to view a wide variety of multimedia content in web pages. For more information, visit the QuickTime Web site.
  • RealPlayer Plugin
  • The Flip4Mac WMV Plugin allows you to view Windows Media content using QuickTime.
  • iPhoto6

Application

  • User Agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.5; rv:16.0) Gecko/20100101 Firefox/16.0

More Information

TyDraniu
  • Top 25 Contributor
309 solutions 1728 answers

Firefox 16 is the last version for Mac OS X 10.5.x

https://www.mozilla.org/en-US/firefox/16.0/system-requirements/

Firefox 16 is the last version for Mac OS X 10.5.x https://www.mozilla.org/en-US/firefox/16.0/system-requirements/